GET/v1.0/firmware/{corpId}/devicesRead-only

Get list of fotaEligible firmware devices for device group. This endpoint can only be accessed by scope aux_soft_mgmt.

Parameters

corpIdpathstringrequired

Device Group

offsetquerynumberrequired

The number of devices to skip before starting to collect the result set.

limitquerynumberrequired

The number of devices to return.

sortquerystringrequired

Sort field

Values: IMEI, FIRMWARE, MAKE, MODEL, MDN, UPGRADETIME, ESN, NICKNAME, SUBSCRIPTIONSTATUS, LASTUPDATE, EXPIRATIONDATE, RENEWALDATE

sortDirquerystringrequired

Sort direction

Values: ASC, DESC

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Try this operation in the interactive explorer →